Subject: Re: bug#47329: efibootmgr failed to register the boot entry: Input/output error

From: Maxime Devos <[email-masked]>
Date: Mon, 22 Mar 2021 22:20:38 +0100

On Mon, 2021-03-22 at 22:20 +0300, David Dashyan wrote:
> Dear Guix,
> 
> I ran 'guix system reconfigure' yesterday and it failed during
> bootloader installation. I couldn't load system afterwards.

> > activating system...
> > [...]
> > 
> > building /gnu/store/cx5i04kjidixkkdi2cj01v0ij72frsan-install-bootloader.scm.drv...
> > guix system: error: '/gnu/store/q5mhiwj4rap24i2b2y9svwbfsn3ya0v1-grub-efi-2.04/sbin/grub-install --boot-directory //boot --bootloader-id=Guix --efi-directory //boot/efi' exited with status 1; output follows:
> >   Installing for x86_64-efi platform.

The directory here is /boot (and /boot/efi) ...

> >   Could not prepare Boot variable: No space left on device
> >   /gnu/store/q5mhiwj4rap24i2b2y9svwbfsn3ya0v1-grub-efi-2.04/sbin/grub-install: error: efibootmgr failed to register the boot entry: Input/output error.

That ‘Input/output error’ looks bad.

> Running 
> > sudo efibootmgr --create --disk /dev/nvme0n1p1 --part 1 --loader \
> > '\EFI\Guix\grubx64.efi' --label Guix
> has same effect on guix system, but works fine when runned in ubuntu
> live cd.
> 
> I don't get why it complains that there is "no space left on device"
> though.
> 
> output of `df -h` contains:
> > /dev/nvme0n1p1         548M  212K  548M   1% /boot/efi

But you are only looking at /boot/efi here ...

Are /boot/efi and /boot separate file systems?
Maybe paste the full output of "df -h"

Greetings,
Maxime